Bug 808202 - [abrt] anjuta-3.2.0-1.fc16: PyObject_GC_UnTrack: Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
Summary: [abrt] anjuta-3.2.0-1.fc16: PyObject_GC_UnTrack: Process /usr/bin/anjuta was ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anjuta
Version: 16
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Cosimo Cecchi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7ae836d5e62ab0a42c0ef4a7eef...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-29 19:36 UTC by David M.
Modified: 2013-04-30 22:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 12:54:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (60.04 KB, text/plain)
2012-03-29 19:36 UTC, David M.
no flags Details
File: maps (50.07 KB, text/plain)
2012-03-29 19:36 UTC, David M.
no flags Details
File: dso_list (11.63 KB, text/plain)
2012-03-29 19:36 UTC, David M.
no flags Details
File: build_ids (4.00 KB, text/plain)
2012-03-29 19:37 UTC, David M.
no flags Details

Description David M. 2012-03-29 19:36:46 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/anjuta
comment:        I was in the "preferences" dialoug under "plugins"  I was randomly enabling and disableing plugins.  The program crashed while I was trying to enable one of them.
crash_function: PyObject_GC_UnTrack
executable:     /usr/bin/anjuta
kernel:         3.3.0-4.fc16.x86_64
pid:            10330
pwd:            /home/dmcinnis63/Documents
reason:         Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
time:           Thu 29 Mar 2012 12:34:16 PM PDT
uid:            1000
username:       dmcinnis63

backtrace:      Text file, 61479 bytes
build_ids:      Text file, 4100 bytes
dso_list:       Text file, 11906 bytes
maps:           Text file, 51274 bytes

environ:
:XDG_VTNR=2
:SSH_AGENT_PID=1750
:XDG_SESSION_ID=2
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=Homestar.Runner
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=a925455dfecf70c8aa13aa110000000b-1333043490.191023-581156027
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/dmcinnis63/.gtkrc-2.0:/home/dmcinnis63/.gtkrc-2.0-kde4:/home/dmcinnis63/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=/tmp/keyring-VZK8gG
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:USER=dmcinnis63
:SSH_AUTH_SOCK=/tmp/ssh-EsEsKgmp1727/agent.1727
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/dmcinnis63/.local/bin:/home/dmcinnis63/bin
:MAIL=/var/spool/mail/dmcinnis63
:PWD=/home/dmcinnis63
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=1725
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/dmcinnis63
:KDE_SESSION_VERSION=4
:LOGNAME=dmcinnis63
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-VvckCRcUob,guid=fd1200d2bc6016559c22b1940000008f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/dmcinnis63
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/dmcinnis63/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:XAUTHORITY=/tmp/kde-dmcinnis63/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1819,unix/unix:/tmp/.ICE-unix/1819
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/dmcinnis63/.gtkrc:/home/dmcinnis63/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=Homestar.Runner;1333049617;196812;1877_TIME6270332

event_log:
:2012-03-29-12:35:39> Analyzing coredump 'coredump'
:2012-03-29-12:35:40  All 100 debuginfo files are available
:2012-03-29-12:35:40  Generating backtrace
:2012-03-29-12:35:46  Backtrace is generated and saved, 61479 bytes
:2012-03-29-12:36:14> Element 'xsession_errors' saved
:2012-03-29-12:36:16> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: 6d398e1e-ffe9-49c2-9c5b-48334ee61a3e
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5000.07
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Xeon(R) CPU           X3320  @ 2.50GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 4
:CPU Speed: 2500
:System Memory: 3954
:System Swap: 0
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.0-4.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:620:4163:33438) pci, snd_hda_intel, MULTIMEDIA, MCP51 High Definition Audio
:(4318:626:4163:33212) pci, None, RAM, MCP51 Memory Controller 0
:(4318:612:4163:33212) pci, None, SERIAL, A8N-VM CSM Mainboard
:(4318:608:4163:33212) pci, None, PCI/ISA, A8N-VM CSM Mainboard
:(4318:931:0:0) pci, None, HOST/PCI, C55 Host Bridge
:(4318:937:0:0) pci, None, RAM, C55 Memory Controller
:(4318:938:0:0) pci, None, RAM, C55 Memory Controller
:(4318:947:0:0) pci, None, RAM, C55 Memory Controller
:(4318:946:0:0) pci, None, RAM, C55 Memory Controller
:(4318:945:0:0) pci, None, RAM, C55 Memory Controller
:(4318:944:0:0) pci, None, RAM, C55 Memory Controller
:(4318:943:0:0) pci, None, RAM, C55 Memory Controller
:(4318:942:0:0) pci, None, RAM, C55 Memory Controller
:(4318:941:0:0) pci, None, RAM, C55 Memory Controller
:(4318:940:0:0) pci, None, RAM, C55 Memory Controller
:(4318:1471:0:0) pci, pcieport, PCI/PCI, N/A
:(4318:949:0:0) pci, None, RAM, C55 Memory Controller
:(4318:1471:0:0) pci, pcieport, PCI/PCI, N/A
:(4318:948:0:0) pci, None, RAM, C55 Memory Controller
:(4318:1471:0:0) pci, pcieport, PCI/PCI, N/A
:(4318:939:0:0) pci, None, RAM, C55 Memory Controller
:(4318:617:4163:33313) pci, forcedeth, BRIDGE, MCP51 Ethernet Controller
:(4318:1471:0:0) pci, pcieport, PCI/PCI, N/A
:(4318:936:0:0) pci, None, RAM, C55 Memory Controller
:(4318:205:4318:667) pci, nvidia, VIDEO, wx4300 Workstation
:(4318:950:0:0) pci, None, RAM, C55 Memory Controller
:(4318:956:0:0) pci, None, RAM, C55 Memory Controller
:(4318:954:0:0) pci, None, RAM, C55 Memory Controller
:(4318:951:4318:3157) pci, pcieport, PCI/PCI, C55 PCI Express bridge
:(4318:623:4318:52100) pci, None, PCI/PCI, MCP51 PCI Bridge
:(4318:1471:0:0) pci, pcieport, PCI/PCI, N/A
:(4318:613:4163:33212) pci, pata_amd, STORAGE, A8N-VM CSM Mainboard
:(4318:624:4163:33212) pci, None, RAM, A8N-VM CSM Mainboard
:(4739:33298:0:0) pci, pata_it821x, STORAGE, IT/ITE8212 Dual channel ATA RAID controller
:(4318:621:4163:33212) pci, ohci_hcd, USB, A8N-VM CSM Mainboard
:(4318:622:4163:33212) pci, ehci_hcd, USB, A8N-VM CSM Mainboard
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 38982342 30592641 30202541 9756672 9094838 9094838
:/dev/sda1 /boot ext4 1024 1024 202770 116364 106124 51200 50922 50922
:/dev/sdb1 /home ext4 4096 4096 29262490 2955635 1490394 7331840 7166311 7166311
:/dev/mapper/udisks-luks-uuid-3e7f99b3-0971-4ce1-ad8a-6032bafface0-uid1000 WITHHELD ext4 4096 4096 60976769 21411496 18359074 15269888 15213999 15213999
:

var_log_messages:
:Mar 29 12:34:16 Homestar kernel: [ 6309.425339] anjuta[10330]: segfault at 2 ip 000000333190fd37 sp 00007fff26b363d8 error 6 in libpython2.7.so.1.0[3331800000+171000]
:Mar 29 12:34:17 Homestar abrt[10497]: Saved core dump of pid 10330 (/usr/bin/anjuta) to /var/spool/abrt/ccpp-2012-03-29-12:34:16-10330 (114335744 bytes)

xsession_errors:
:(anjuta:10330): Gtk-WARNING **: Theme parsing error: gtk.css:58:46: Unknown value 'GTK_SHADOW_NONE' for enum type 'GtkShadowType'
:(anjuta:10330): Gtk-WARNING **: MenuRun: missing action ActionMenuRun

Comment 1 David M. 2012-03-29 19:36:52 UTC
Created attachment 573773 [details]
File: backtrace

Comment 2 David M. 2012-03-29 19:36:56 UTC
Created attachment 573774 [details]
File: maps

Comment 3 David M. 2012-03-29 19:36:58 UTC
Created attachment 573775 [details]
File: dso_list

Comment 4 David M. 2012-03-29 19:37:01 UTC
Created attachment 573776 [details]
File: build_ids

Comment 5 Fedora End Of Life 2013-01-16 12:34:39 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora End Of Life 2013-02-13 12:54:48 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.